//**********************************************************************//
//
//	Proving Grounds skybox shader for Urban Terror ver 4.0 
//    Joseph "|NV|S" Mauke
//	Website : http://www.s8s.info/
//              http://www.josephmauke.com
//    Email: joemauke@hotmail.com
//
//**********************************************************************//
//
// ======================================================================
// Images for this skybox were made in VUE4 by Rabidcow
// ======================================================================
//
textures/pg/invis1
{
	qer_editorimage textures/pg/invis1.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun 1 1 1 1000 0 45
      q3map_surfacelight 200 
    //q3map_skylight 80 3
	skyparms env/invis1/invis1 1024 -

}

models/mapobjects/pg/barbwire
{
	surfaceparm alphashadow
	cull disable
	qer_editor_image models/mapobjects/pg/barbwire.tga
	{
		map models/mapobjects/pg/barbwire.tga
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

models/mapobjects/pg/razorwire
{
	surfaceparm alphashadow
	cull disable
	qer_editor_image models/mapobjects/pg/razorwire.tga
	{
		map models/mapobjects/pg/razorwire.tga
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

models/mapobjects/pg/ter_mossmud
{
	q3map_clipmodel
      q3map_surfacemodel models/mapobjects/crenshaw/grass01.ase 128 .001 1 1.5 0 360 1
      q3map_surfacemodel models/mapobjects/crenshaw/grass02.ase 128 .01 .5 1.5 0 360 1
      q3map_surfacemodel models/mapobjects/crenshaw/weed01.ase 128 .001 1 1 0 360 1
      q3map_surfacemodel models/mapobjects/crenshaw/weed02.ase 128 .001 1 1 0 360 1
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	{
		map models/mapobjects/pg/moss.tga
	}	
	{
	      map models/mapobjects/pg/mud.tga
	      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
	      alphagen vertex	      
	}	
	{
	      map $lightmap
	      blendfunc gl_dst_color gl_src_color
	}	
}

models/mapobjects/pg/ter_dirtmud
{
	q3map_clipmodel
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	{
		map models/mapobjects/pg/dirt.tga
	}	
	{
	      map models/mapobjects/pg/mud.tga
	      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
	      alphagen vertex	      
	}	
	{
	      map $lightmap
	      blendfunc gl_dst_color gl_src_color
	}	
}

textures/pg/light_glass
{
	qer_editorimage textures/pg/shiny3.tga
	qer_trans 	0.5
	surfaceparm trans	

	{
		map textures/pg/glassfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
}

models/mapobjects/pg/wall_lamp_lit
{
	qer_editorimage models/mapobjects/pg/wall_lamp_lit.tga
	q3map_lightimage models/mapobjects/crenshaw/flouresc.tga
	surfaceparm nomarks
	q3map_surfacelight 500
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map models/mapobjects/pg/wall_lamp_lit.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map models/mapobjects/pg/wall_lamp_lit.tga
		blendfunc add
		rgbGen wave noise 0.5 0.2 0 0.001 
	}
}

models/mapobjects/pg/trees
{
	qer_editor_image models/mapobjects/pg/trees.tga
	cull disable
	nomipmaps
	nopicmip
	{
		map models/mapobjects/pg/trees.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

models/mapobjects/pg/ter_mossmud_noclip
{
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	{
		map models/mapobjects/pg/moss.tga
	}	
	{
	      map models/mapobjects/pg/dirt.tga
	      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
	      alphagen vertex	      
	}	
	{
	      map $lightmap
	      blendfunc gl_dst_color gl_src_color
	}	
}